Calculations
Calculation History
Retrieve the user calculation history
GET
Calculation History
Overview
Retrieves the calculation history for the authenticated user. Returns both power loss and minimum power calculations with pagination support.This endpoint only returns calculations performed by the authenticated user.
Authentication
Required: Bearer token in Authorization headerQuery Parameters
Page number for pagination
Number of results per page (max 100)
Filter by calculation type:
power_loss or minimum_powerResponse
Indicates if the request was successful
Array of calculation records
Pagination metadata
Examples
Response Example (200 OK)
Error Responses
| Status Code | Description |
|---|---|
| 401 | Missing or invalid authentication token |
| 500 | Internal server error |
Related Endpoints
Power Loss Calculation
Calculate power losses
Minimum Power Calculation
Calculate minimum power requirements
Source Code Reference
- Route:
src/routes/calculation.routes.js:256 - Controller:
src/controllers/calculationController.js:getCalculationHistory
Calculation History
